Package com.plannaplan.security.cas

# Class DefaultUAMCasValidator

java.lang.Object
com.plannaplan.security.cas.DefaultUAMCasValidator

All Implemented Interfaces:
  `CasValidator`

    public class DefaultUAMCasValidator
    extends java.lang.Object
    implements CasValidator

Cas Validator for localhost and not registered dopmains

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DefaultUAMCasValidator​(java.lang.String service, java.lang.String ticket)` | craste new instance

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`CasUserIdentity` | `validate()` | validate ticket (should be provided in costructor or by setter)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultUAMCasValidator

public DefaultUAMCasValidator​(java.lang.String service, java.lang.String ticket)
craste new instance

Parameters:
  `service` - string with url of our service from where request began
  `ticket` - ticket returned after user provided creeds on cas page

## Method Details

### validate

public CasUserIdentity validate()
Description copied from interface: `CasValidator`
validate ticket (should be provided in costructor or by setter)

Specified by:
  `validate` in interface `CasValidator`
Returns:
  CasUserIdentity instance with values from response or null if validation failed